ICU 64.2 64.2

LocalUFormattedNumberPointer Class Reference

"Smart pointer" class; closes a UFormattedNumber via unumf_closeResult(). More...

`#include <unumberformatter.h>`

## Detailed Description

"Smart pointer" class; closes a UFormattedNumber via unumf_closeResult().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUFormattedNumberPointer uformatter(unumf_openResult(...));
    // no need to explicitly call unumf_closeResult()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 62

Definition at line 690 of file unumberformatter.h.

The documentation for this class was generated from the following file:

- unumberformatter.h